#include <LiquidCrystal_I2C.h>
#include <DFRobot_DHT11.h>
DFRobot_DHT11 dht;
#define DHT11_PIN 3

LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  Serial.begin(115200);
//  dht.begin();
  lcd.init();
  lcd.backlight();
  lcd.clear();
  pinMode(2, OUTPUT);
  digitalWrite(2, HIGH);
  delay(1000);
  lcd.setCursor(0, 0);
  lcd.print("IRRIGATION");
  lcd.setCursor(0, 1);
  lcd.print("SYSTEM IS ON ");
    lcd.print("");
    delay(3000);
  lcd.clear();
}
 
void loop() {
  dht.read(DHT11_PIN);
  // read humidity
  int humi  = dht.humidity;
  // read temperature as Celsius
  int tempC = dht.temperature;
  // read temperature as Fahrenheit
//  float tempF = dht.readTemperature(true);?

  // check if any reads failed
  if (isnan(humi) || isnan(tempC)) {
    Serial.println("Failed to read from DHT sensor!");
  } else {
    Serial.print("Humidity: ");
    Serial.print(humi);
    Serial.print("%");

    Serial.print("  |  "); 

    Serial.print("Temperature: ");
    Serial.print(tempC);
    Serial.print("°C ~ ");
//    Serial.print(tempF);
    Serial.println("°F");
  
  int value = analogRead(A0);
  Serial.println(value);
  if (value < 450) {
    digitalWrite(2, LOW);
    lcd.setCursor(0, 0);
    lcd.print("Water Pump is OFF ");
  } else {
    digitalWrite(2, HIGH);
    lcd.setCursor(0, 0);
    lcd.print("Water Pump is ON");
  }
 
  if (value < 450) {
    lcd.setCursor(0, 1);
    lcd.print("Moisture : HIGH");
  } else if (value > 500 && value < 530) {
    lcd.setCursor(0, 1);
    lcd.print("Moisture : MID ");
  } else if (value >= 570) {
    lcd.setCursor(0, 1);
    lcd.print("Moisture : LOW ");
  }
}
delay(5000);
}
